@ev1lc0rp/n8n-nodes-ninjaone
Version:
Professional NinjaOne RMM integration for n8n with complete ticketing and device management
1,056 lines (951 loc) • 17.8 kB
Markdown
ticketing
ticketing
POST
/v2/ticketing/ticket
Create ticket
Create a new ticket, does not accept files
Parameters
Try it out
No parameters
Request body
application/json
NewTicket object that needs to be added to the store
Example Value
Schema
{
"clientId": 1,
"ticketFormId": 1,
"locationId": 1,
"nodeId": 1,
"subject": "CPU with problems",
"description": {
"public": true,
"body": "new comment",
"htmlBody": "<p>new comment</p>",
"timeTracked": 60,
"duplicateInIncidents": true
},
"status": "1000",
"type": "PROBLEM",
"cc": {
"uids": [
"1fa74a18-a329-40d8-b5b7-0a22624f7800",
"b0558cb6-3c4e-438c-b8fd-5247c648bbbe"
],
"emails": [
"example1@example.com",
"example2@example.com"
]
},
"assignedAppUserId": 0,
"requesterUid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"severity": "NONE",
"priority": "NONE",
"parentTicketId": 1,
"tags": [
"tag1",
"tag2"
],
"attributes": [
{
"id": 1,
"attributeId": 1,
"value": "string"
}
]
}
Responses
Code Description Links
default
default response
Media type
application/json
Controls Accept header.
Example Value
Schema
{
"id": 0,
"version": 0,
"nodeId": 0,
"clientId": 0,
"locationId": 0,
"assignedAppUserId": 0,
"requesterUid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"subject": "string",
"status": {
"name": "string",
"displayName": "string",
"parentId": 0,
"statusId": 0
},
"type": "PROBLEM",
"priority": "NONE",
"severity": "NONE",
"ticketFormId": 0,
"source": "TECHNICIAN",
"tags": [
"string"
],
"ccList": {
"uids": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"emails": [
"string"
]
},
"createTime": 0,
"deleted": true,
"attributeValues": [
{
"id": 0,
"attributeId": 0,
"value": {}
}
]
}
No links
POST
/v2/ticketing/ticket/{ticketId}/comment
Add comment to ticket
Add a new comment to a ticket, allows files
Parameters
Try it out
Name Description
ticketId *
integer($int32)
(path)
ticketId
Request body
multipart/form-data
comment
object
files
array
Responses
Code Description Links
default
default response
Media type
application/json
Controls Accept header.
No links
GET
/v2/ticketing/ticket/{ticketId}
Ticket
Returns a ticket
Parameters
Try it out
Name Description
ticketId *
integer($int32)
(path)
ticketId
Responses
Code Description Links
default
default response
Media type
application/json
Controls Accept header.
Example Value
Schema
{
"id": 0,
"version": 0,
"nodeId": 0,
"clientId": 0,
"locationId": 0,
"assignedAppUserId": 0,
"requesterUid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"subject": "string",
"status": {
"name": "string",
"displayName": "string",
"parentId": 0,
"statusId": 0
},
"type": "PROBLEM",
"priority": "NONE",
"severity": "NONE",
"ticketFormId": 0,
"source": "TECHNICIAN",
"tags": [
"string"
],
"ccList": {
"uids": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"emails": [
"string"
]
},
"createTime": 0,
"deleted": true,
"attributeValues": [
{
"id": 0,
"attributeId": 0,
"value": {}
}
]
}
No links
PUT
/v2/ticketing/ticket/{ticketId}
Update ticket
Change ticket fields. Does not accept comments
Parameters
Try it out
Name Description
ticketId *
integer($int32)
(path)
ticketId
Request body
application/json
UpdateTicket object that needs to be updated to the store
Example Value
Schema
{
"version": 1,
"clientId": 1,
"ticketFormId": 1,
"locationId": 1,
"nodeId": 1,
"subject": "CPU with problems",
"status": "1000",
"type": "PROBLEM",
"cc": {
"uids": [
"1fa74a18-a329-40d8-b5b7-0a22624f7800",
"b0558cb6-3c4e-438c-b8fd-5247c648bbbe"
],
"emails": [
"example1@example.com",
"example2@example.com"
]
},
"assignedAppUserId": 0,
"requesterUid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"severity": "NONE",
"priority": "NONE",
"parentTicketId": 1,
"tags": [
"tag1",
"tag2"
],
"attributes": [
{
"id": 1,
"attributeId": 1,
"value": "string"
}
]
}
Responses
Code Description Links
default
default response
Media type
application/json
Controls Accept header.
Example Value
Schema
{
"id": 0,
"version": 0,
"nodeId": 0,
"clientId": 0,
"locationId": 0,
"assignedAppUserId": 0,
"requesterUid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"subject": "string",
"status": {
"name": "string",
"displayName": "string",
"parentId": 0,
"statusId": 0
},
"type": "PROBLEM",
"priority": "NONE",
"severity": "NONE",
"ticketFormId": 0,
"source": "TECHNICIAN",
"tags": [
"string"
],
"ccList": {
"uids": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"emails": [
"string"
]
},
"createTime": 0,
"deleted": true,
"attributeValues": [
{
"id": 0,
"attributeId": 0,
"value": {}
}
]
}
No links
GET
/v2/ticketing/ticket/{ticketId}/log-entry
List ticket log entries
Returns list of the ticket log entries for a ticket
Parameters
Try it out
Name Description
ticketId *
integer($int32)
(path)
ticketId
type
string
(query)
Available values : DESCRIPTION, COMMENT, CONDITION, SAVE, DELETE, PRODUCT
--
createTime
string
(query)
createTime
anchorId
integer($int32)
(query)
anchorId
pageSize
integer($int32)
(query)
Default value : 500
500
Responses
Code Description Links
default
default response
Media type
application/json
Controls Accept header.
Example Value
Schema
[
{
"id": 0,
"appUserContactUid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"appUserContactId": 0,
"appUserContactType": "TECHNICIAN",
"type": "DESCRIPTION",
"body": "string",
"htmlBody": "string",
"fullEmailBody": "string",
"publicEntry": true,
"system": true,
"createTime": 0,
"changeDiff": {},
"activityId": 0,
"timeTracked": 0,
"technicianTagged": [
0
],
"techniciansTaggedMetadata": [
{
"id": 0,
"email": "string",
"displayName": "string",
"deleted": true,
"permitted": true
}
],
"automation": {
"id": 0,
"name": "string",
"system": true,
"type": "string"
},
"blockedByInvoice": true,
"ticketTimeEntry": {
"ticketLogEntryId": 0,
"invoiceId": 0,
"startDate": 0,
"remote": true,
"billing": "BILLABLE",
"billingStatus": "BILLED",
"agreementOriginType": "NONE",
"price": 0,
"timeTracked": 0,
"agreement": {
"id": 0,
"name": "string"
}
},
"emailResponse": true
}
]
No links
GET
/v2/ticketing/attributes
List ticket attributes
Returns list of the ticket attributes
Parameters
Try it out
No parameters
Responses
Code Description Links
default
default response
Media type
application/json
Controls Accept header.
Example Value
Schema
[
{
"id": 0,
"attributeType": "string",
"name": "string",
"description": "string",
"customizeForEndUser": true,
"nameForEndUser": "string",
"descriptionForEndUser": "string",
"endUserOption": "string",
"technicianOption": "string",
"content": {
"customizeForEndUser": true,
"endUserCustomization": {
"name": "string",
"description": "string",
"label": "string"
},
"values": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"active": true,
"system": true
}
],
"required": true,
"footerText": "string",
"tooltipText": "string",
"advancedSettings": {
"fileMaxSize": 0,
"fileExtensions": [
"string"
],
"dateFilters": {
"type": "NONE",
"selected": [
"string"
]
},
"maxCharacters": 0,
"complexityRules": {
"mustContainOneInteger": true,
"mustContainOneLowercaseLetter": true,
"mustContainOneUppercaseLetter": true,
"greaterOrEqualThanSixCharacters": true
},
"numericRange": {
"min": 0,
"max": 0
},
"org": [
0
],
"nodeClass": [
"WINDOWS_SERVER"
],
"ipAddressType": "ALL",
"expandLargeValueOnRender": true
}
},
"system": true,
"active": true,
"createTime": 0,
"updateTime": 0
}
]
No links
GET
/v2/ticketing/contact/contacts
List contacts
Returns list of contacts
Parameters
Try it out
No parameters
Responses
Code Description Links
default
default response
Media type
application/json
Controls Accept header.
Example Value
Schema
[
{
"id": 0,
"clientId": 0,
"clientName": "string",
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"firstName": "string",
"lastName": "string",
"email": "string",
"phone": "string",
"jobTitle": "string",
"displayName": "string",
"createTime": 0,
"updateTime": 0
}
]
No links
GET
/v2/ticketing/ticket-form/{id}
Ticket form
Returns a ticket form with fields
Parameters
Try it out
Name Description
id *
integer($int32)
(path)
id
Responses
Code Description Links
default
default response
Media type
application/json
Controls Accept header.
Example Value
Schema
{
"id": 0,
"name": "string",
"description": "string",
"endUserTitle": "string",
"content": {
"fields": [
0
],
"timerSettings": {
"enabled": true,
"mode": "MANUAL"
}
},
"active": true,
"createTime": 0,
"updateTime": 0,
"fields": [
{
"id": 0,
"attributeType": "string",
"name": "string",
"description": "string",
"customizeForEndUser": true,
"nameForEndUser": "string",
"descriptionForEndUser": "string",
"endUserOption": "string",
"technicianOption": "string",
"content": {
"customizeForEndUser": true,
"endUserCustomization": {
"name": "string",
"description": "string",
"label": "string"
},
"values": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"active": true,
"system": true
}
],
"required": true,
"footerText": "string",
"tooltipText": "string",
"advancedSettings": {
"fileMaxSize": 0,
"fileExtensions": [
"string"
],
"dateFilters": {
"type": "NONE",
"selected": [
"string"
]
},
"maxCharacters": 0,
"complexityRules": {
"mustContainOneInteger": true,
"mustContainOneLowercaseLetter": true,
"mustContainOneUppercaseLetter": true,
"greaterOrEqualThanSixCharacters": true
},
"numericRange": {
"min": 0,
"max": 0
},
"org": [
0
],
"nodeClass": [
"WINDOWS_SERVER"
],
"ipAddressType": "ALL",
"expandLargeValueOnRender": true
}
},
"system": true,
"active": true,
"createTime": 0,
"updateTime": 0
}
],
"default": true
}
No links
GET
/v2/ticketing/ticket-form
List ticket forms
Returns list of ticket forms with their fields
Parameters
Try it out
No parameters
Responses
Code Description Links
default
default response
Media type
application/json
Controls Accept header.
Example Value
Schema
[
{
"id": 0,
"name": "string",
"description": "string",
"endUserTitle": "string",
"content": {
"fields": [
0
],
"timerSettings": {
"enabled": true,
"mode": "MANUAL"
}
},
"active": true,
"createTime": 0,
"updateTime": 0,
"fields": [
{
"id": 0,
"attributeType": "string",
"name": "string",
"description": "string",
"customizeForEndUser": true,
"nameForEndUser": "string",
"descriptionForEndUser": "string",
"endUserOption": "string",
"technicianOption": "string",
"content": {
"customizeForEndUser": true,
"endUserCustomization": {
"name": "string",
"description": "string",
"label": "string"
},
"values": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"active": true,
"system": true
}
],
"required": true,
"footerText": "string",
"tooltipText": "string",
"advancedSettings": {
"fileMaxSize": 0,
"fileExtensions": [
"string"
],
"dateFilters": {
"type": "NONE",
"selected": [
"string"
]
},
"maxCharacters": 0,
"complexityRules": {
"mustContainOneInteger": true,
"mustContainOneLowercaseLetter": true,
"mustContainOneUppercaseLetter": true,
"greaterOrEqualThanSixCharacters": true
},
"numericRange": {
"min": 0,
"max": 0
},
"org": [
0
],
"nodeClass": [
"WINDOWS_SERVER"
],
"ipAddressType": "ALL",
"expandLargeValueOnRender": true
}
},
"system": true,
"active": true,
"createTime": 0,
"updateTime": 0
}
],
"default": true
}
]
No links
GET
/v2/ticketing/statuses
Get list of ticket status
Get list of ticket status
Parameters
Try it out
No parameters
Responses
Code Description Links
default
default response
Media type
application/json
Controls Accept header.
Example Value
Schema
[
{
"name": "string",
"displayName": "string",
"parentId": 0,
"statusId": 0
}
]
No links
GET
/v2/ticketing/trigger/boards
List boards
Returns list of ticketing boards
Parameters
Try it out
No parameters
Responses
Code Description Links
default
default response
Media type
application/json
Controls Accept header.
Example Value
Schema
[
{
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"description": "string",
"conditions": {
"any": [
{
"field": "string",
"operator": "string",
"value": "string"
}
],
"all": [
{
"field": "string",
"operator": "string",
"value": "string"
}
]
},
"createTime": 0,
"updateTime": 0,
"system": true,
"columns": [
"string"
],
"sortBy": [
{
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
],
"ticketCount": 0
}
]
No links
POST
/v2/ticketing/trigger/board/{boardId}/run
List of tickets for board
Run a board. Returns list of tickets matching the board condition and filters. Allows pagination
Parameters
Try it out
Name Description
boardId *
integer($int32)
(path)
boardId
Request body
application/json
Example Value
Schema
{
"sortBy": [
{
"field": "string",
"direction": "ASC"
}
],
"filters": [
{
"field": "string",
"operator": "string",
"value": "string"
}
],
"pageSize": 0,
"searchCriteria": "string",
"includeColumns": [
"string"
],
"lastCursorId": 0
}
Responses
Code Description Links
default
default response
Media type
application/json
Controls Accept header.
Example Value
Schema
{
"data": [
{
"additionalProp1": {},
"additionalProp2": {},
"additionalProp3": {}
}
],
"metadata": {
"columns": [
"string"
],
"sortBy": [
{
"field": "string",
"direction": "ASC"
}
],
"attributes": {
"additionalProp1": {
"name": "string",
"type": "DROPDOWN"
},
"additionalProp2": {
"name": "string",
"type": "DROPDOWN"
},
"additionalProp3": {
"name": "string",
"type": "DROPDOWN"
}
},
"filters": [
{
"field": "string",
"operator": "string",
"value": "string"
}
],
"allColumns": [
"string"
],
"columnNamesForExporting": [
"string"
],
"allRequiredColumns": [
"string"
]
}
}
No links
GET
/v2/ticketing/app-user-contact
List of users by user type
Returns list of users (contacts, end-user, technician)
Parameters
Try it out
Name Description
pageSize
integer($int32)
(query)
Limit number of records per page
Default value : 50
50
anchorNaturalId
integer($int32)
(query)
Last User Identifier from previous page
Default value : 0
0
searchCriteria
string
(query)
Search by first name, last name or email address
searchCriteria
userType
string
(query)
User Type
Available values : TECHNICIAN, END_USER, CONTACT
--
clientId
integer($int32)
(query)
Organization identifier
clientId
Responses
Code Description Links
200
Returns a list of all users and contacts
Media type
application/json
Controls Accept header.
Example Value
Schema
[
{
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": 0,
"clientId": 0,
"firstName": "string",
"lastName": "string",
"email": "string",
"userType": "TECHNICIAN",
"naturalId": "string"
}
]
No links